# binders.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file binders.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- class std::binder1st< _Operation >
    One of the binder functors. More...
- class std::binder2nd< _Operation >
    One of the binder functors. More...

## Defines

- #define _GLIBCXX_BINDERS_H

## Functions

- template<typename _Operation, typename _Tp> binder1st< _Operation > std::bind1st (const _Operation &__fn, const _Tp &__x)
- template<typename _Operation, typename _Tp> binder2nd< _Operation > std::bind2nd (const _Operation &__fn, const _Tp &__x)

## Variables

- std::binder2nd std::_GLIBCXX_DEPRECATED_ATTR
- std::binder1st std::_GLIBCXX_DEPRECATED_ATTR